REBOOT(8)

NAME
reboot - restart the operating system

SYNOPSIS
/usr/etc/reboot [ -dnq ] [ boot arguments ]

DESCRIPTION

reboot executes the reboot(2) system call to restart the kernel. The kernel is loaded into memory by the PROM monitor, which transfers control to it. See boot(8S) for details.

Although reboot can be run by the super-user at any time, shutdown(8) is normally used first to warn all users logged in of the impending loss of service. See shutdown(8) for details.

reboot performs a sync(1) operation on the disks, and then a multiuser reboot is initiated. See init(8) for details.

reboot normally logs the reboot to the system log daemon, syslogd(8), and places a shutdown record in the login accounting file /var/adm/wtmp. These actions are inhibited if the -n or -q options are present.

  Power Fail and Crash Recovery
Normally, the system will reboot itself at power-up or after crashes.

OPTIONS

-d  Dump system core before rebooting.

-n  Avoid the sync(1). It can be used if a disk or the processor is on fire.

-q  Quick. Reboots quickly and ungracefully, without first shutting down running processes.

  Boot Arguments

If a boot argument string is given, it is passed to the boot command in the PROM monitor. The string must be quoted if it contains spaces or other characters that could be interpreted by the shell. If the first character of the boot argument string is a minus sign `-' the string must be preceded by an option terminator string `--' For example:
    reboot -- -s
to reboot and come up single user,
    reboot vmunix.test
to reboot to a new kernel. See boot(8S) for details.

FILES
/var/adm/wtmp
    login accounting file

SEE ALSO
sync(1), reboot(2), boot(8S), fastboot(8), fasthalt(8), fsck(8), halt(8), init(8), panic(8S), shutdown(8), syslogd(8)